# libmensago

A library written in Rust for interacting with keycards on the [Mensago](https://mensago.org) platform released under the Mozilla Public License 2.0.

## Description

This library enables developers to create, sign, and verify keycards, a form of digital certificate designed specifically for the needs of the platform.

## Status

libkeycard is in alpha. There may be unforeseen changes in the API and it should not be considered finalized until the 1.0 release, so developers utilizing this library should be aware that there may be breaking changes even between the current development versions, as semver will not be utilized until the 1.0 release. Reading the [CHANGELOG](https://gitlab.com/darkwyrm/libkeycard/-/blob/main/CHANGELOG.md) is highly encouraged when upgrading.

## Building

Building libkeycard requires the Rust toolchain. Check out the repository and run `cargo build`.
